=== debian/changelog ===
golang-github-mimuret-golang-iij-dpf (0.9.1-2) unstable; urgency=medium

  * d/patches: update patch to fix failing test.

 -- Aloïs Micard <creekorful@debian.org>  Mon, 02 Sep 2024 08:55:29 +0200

golang-github-mimuret-golang-iij-dpf (0.9.1-1) unstable; urgency=medium

  * Initial release (Closes: #1078993)

 -- Aloïs Micard <creekorful@debian.org>  Sun, 18 Aug 2024 20:00:47 +0200
