=== debian/control ===
Source: golang-github-mimuret-golang-iij-dpf
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Aloïs Micard <creekorful@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-google-go-querystring-dev,
               golang-github-google-uuid-dev,
               golang-github-jarcoal-httpmock-dev,
               golang-github-json-iterator-go-dev,
               golang-github-miekg-dns-dev,
               golang-github-onsi-ginkgo-dev,
               golang-golang-x-time-dev,
               golang-gomega-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mimuret-golang-iij-dpf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mimuret-golang-iij-dpf.git
Homepage: https://github.com/mimuret/golang-iij-dpf
XS-Go-Import-Path: github.com/mimuret/golang-iij-dpf

Package: golang-github-mimuret-golang-iij-dpf-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-querystring-dev,
         golang-github-google-uuid-dev,
         golang-github-jarcoal-httpmock-dev,
         golang-github-json-iterator-go-dev,
         golang-github-miekg-dns-dev,
         golang-github-onsi-ginkgo-dev,
         golang-golang-x-time-dev,
         golang-gomega-dev,
         ${misc:Depends}
Description: IIJ DNS Platform Service API for Go (library)
 Go library to interface with IIJ DNS Platform Service API.
 .
 It allows Go developer to interface both IIJ Managed DNS Service
 as well as IIJ DNS Traffic Management Service.
